//
//  PartsApplyDetailNumCell.swift
//  VattiCSS
//
//  Created by WZR on 2023/9/22.
//

import UIKit

class PartsApplyDetailNumCell: UITableViewCell {
    @IBOutlet weak var bgView: UIView!
    @IBOutlet weak var lab_num: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Initialization code
        self.contentView.backgroundColor = .clear
        self.backgroundColor = .clear
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)

        // Configure the view for the selected state
    }
    
    override func draw(_ rect: CGRect) {
        bgView.makeRadius(value: 8, type: [.topLeft, .topRight])
    }
}
extension PartsApplyDetailNumCell: TCCell_RowCellUpdateProtocol {
    typealias DataSource = (String)
    typealias ConfigModel = Any
    
    func row_update(dataSource data: DataSource) {
        lab_num.cd.text("\("单号: ".languageString())\(data)")
    }
    
    func row_update(config data: ConfigModel) {
        
    }
}
